> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Sold By Provider

> Update the sold_by_provider_id for a charge item or sold package.



## OpenAPI

````yaml post /billing/charge/update-sold-by-provider
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/charge/update-sold-by-provider:
    post:
      tags:
        - provider
        - billing
      summary: Update Sold By Provider
      description: Update the sold_by_provider_id for a charge item or sold package.
      operationId: update_sold_by_provider_billing_charge_update_sold_by_provider_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: item_id
          in: query
          required: true
          schema:
            type: string
            title: Item Id
        - name: item_type
          in: query
          required: true
          schema:
            type: string
            title: Item Type
        - name: provider_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Provider Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
                title: >-
                  Response Update Sold By Provider Billing Charge Update Sold By
                  Provider Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````